Skip to main content
POST
/
api
/
v1
/
analytics
/
tasks
Create Task
curl --request POST \
  --url https://control-plane.kubiya.ai/api/v1/analytics/tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "execution_id": "<string>",
  "task_description": "<string>",
  "task_number": 123,
  "task_id": "<string>",
  "task_type": "<string>",
  "status": "pending",
  "started_at": "<string>",
  "completed_at": "<string>",
  "duration_ms": 123,
  "result": "<string>",
  "error_message": "<string>",
  "metadata": {}
}
'
import requests

url = "https://control-plane.kubiya.ai/api/v1/analytics/tasks"

payload = {
"execution_id": "<string>",
"task_description": "<string>",
"task_number": 123,
"task_id": "<string>",
"task_type": "<string>",
"status": "pending",
"started_at": "<string>",
"completed_at": "<string>",
"duration_ms": 123,
"result": "<string>",
"error_message": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
execution_id: '<string>',
task_description: '<string>',
task_number: 123,
task_id: '<string>',
task_type: '<string>',
status: 'pending',
started_at: '<string>',
completed_at: '<string>',
duration_ms: 123,
result: '<string>',
error_message: '<string>',
metadata: {}
})
};

fetch('https://control-plane.kubiya.ai/api/v1/analytics/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Body

application/json

Schema for creating a task record

execution_id
string
required
task_description
string
required
task_number
integer | null
task_id
string | null
task_type
string | null
status
string
default:pending
started_at
string | null
completed_at
string | null
duration_ms
integer | null
result
string | null
error_message
string | null
metadata
Metadata · object

Response

Successful Response